[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TExtendedHelper.Sign

Sign of the floating point value

## Declaration

Source position: syshelph.inc line 378

`public property TExtendedHelper.Sign : Boolean read GetS write SetS;`

## Description

Sign returns True if the sign bit of the value is set (i.e. it is a negative value) or False if it is not set (i.e. it is a positive value).

## See also

TExtendedHelper.Bytes |  | Indexed access to the individual bytes of the floating point value
TExtendedHelper.Exp |  | The bit pattern of the exponent as stored in memory.
TExtendedHelper.Frac |  | Bitpattern that makes up the fractional part.
TExtendedHelper.Mantissa |  | Mantissa of the floating-point
TExtendedHelper.Fraction |  | Fraction of the floating-point value
TExtendedHelper.Exponent |  | Exponent of the floating-point value